### Method

# Gio Subprocess get_stderr_pipe

since: 2.40

#### Declaration

    GInputStream*
    g_subprocess_get_stderr_pipe (
      GSubprocess* subprocess
    )

#### Description

Gets the `GInputStream` from which to read the stderr output of `subprocess`.

The process must have been created with `G_SUBPROCESS_FLAGS_STDERR_PIPE`, otherwise `NULL` will be returned.

Available since: 2.40

#### Return value

Type: `GInputStream`

The stderr pipe.

The returned data is owned by the instance.
The return value can be `NULL`.